<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

/**
 * Class ExporterPort
 *
 * Created:
 * oitc migrations create -p PrometheusModule ExporterPort
 *
 * Usage:
 * openitcockpit-update
 */
class ExporterPort extends AbstractMigration {
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void {
        $this->table('prometheus_exporters')
            ->addColumn('add_target_port', 'boolean', [
                'default' => true,
                'null'    => false
            ])
            ->update();
    }
}
