<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

use itnovum\openITCOCKPIT\ConfigGenerator\NagiosCfg;


/** @var \PrometheusModule\Lib\ConfigGenerator\PrometheusCfgs_prometheus $PrometheusCfgs_prometheus */

?>


<form ng-submit="submit();" class="form-horizontal">


    <?php foreach ($PrometheusCfgs_prometheus->getDefaults()['int'] as $key => $defaultValue): ?>
        <div class="form-group required" ng-class="{'has-error': errors.Configfile.<?php echo $key; ?>}">
            <label class="control-label">
                <?php echo h($key); ?>
            </label>
            <input
                    class="form-control"
                    type="number"
                    min="0"
                    ng-model="post.int.<?php echo $key; ?>">
            <div ng-repeat="error in errors.Configfile.<?php echo $key; ?>">
                <div class="help-block text-danger">{{ error }}</div>
            </div>
            <div class="help-block">
                <?php echo h($PrometheusCfgs_prometheus->getHelpText($key)); ?>
            </div>
        </div>
    <?php endforeach; ?>


    <div class="card margin-top-10">
        <div class="card-body">
            <div class="float-right">
                <button class="btn btn-primary"
                        type="submit"><?php echo __('Save'); ?></button>
                <a back-button href="javascript:void(0);" fallback-state='ConfigurationFilesIndex'
                   class="btn btn-default"><?php echo __('Cancel'); ?></a>
            </div>
        </div>
    </div>
</form>
