openITCOCKPIT.config(function($stateProvider){
    $stateProvider
        .state('PrometheusQueryIndex', {
            url: '/prometheus_module/PrometheusQuery/index/:hostId',
            templateUrl: '/prometheus_module/PrometheusQuery/index.html',
            controller: 'PrometheusQueryIndexController',
            params: {
                hostId: {
                    value: null,
                    squash: true
                }
            }
        })

        .state('PrometheusQueryToService', {
            url: '/prometheus_module/PrometheusQuery/toService/:hostId',
            templateUrl: '/prometheus_module/PrometheusQuery/toService.html',
            controller: 'PrometheusQueryToServiceController',
            params: {
                hostId: {
                    value: null,
                    squash: true
                },
                metrics: {
                    value: null,
                    array: true,
                    squash: true
                }
            }
        })

        .state('PrometheusQueryEditService', {
            url: '/prometheus_module/PrometheusQuery/editService/:serviceId',
            templateUrl: '/prometheus_module/PrometheusQuery/editService.html',
            controller: 'PrometheusQueryEditServiceController'
        })

        .state('PrometheusAlertRulesIndex', {
            url: '/prometheus_module/PrometheusAlertRules/index/:hostId',
            templateUrl: '/prometheus_module/PrometheusAlertRules/index.html',
            controller: 'PrometheusAlertRulesIndexController',
            params: {
                hostId: {
                    value: null,
                    squash: true
                }
            }
        })

        .state('PrometheusExportersIndex', {
            url: '/prometheus_module/PrometheusExporters/index',
            templateUrl: '/prometheus_module/PrometheusExporters/index.html',
            controller: 'PrometheusExportersIndexController'
        })

        .state('PrometheusExportersAdd', {
            url: '/prometheus_module/PrometheusExporters/add',
            templateUrl: '/prometheus_module/PrometheusExporters/add.html',
            controller: 'PrometheusExportersAddController'
        })

        .state('PrometheusExportersEdit', {
            url: '/prometheus_module/PrometheusExporters/edit/:id',
            templateUrl: '/prometheus_module/PrometheusExporters/edit.html',
            controller: 'PrometheusExportersEditController'
        })


    ;
});
